Get an automation run
curl --request GET \
--url https://charts.basedash.com/api/public/organizations/{orgId}/automations/{id}/runs/{runId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://charts.basedash.com/api/public/organizations/{orgId}/automations/{id}/runs/{runId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://charts.basedash.com/api/public/organizations/{orgId}/automations/{id}/runs/{runId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"automationId": "<string>",
"organizationId": "<string>",
"name": "<string>",
"status": "GENERATING",
"isManualRun": true,
"memberId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"finalMessageContent": "<string>",
"charts": [
{
"id": "<string>",
"chartVersionId": "<string>",
"imageUrl": "<string>"
}
]
}
}{
"error": {
"title": "<string>",
"detail": "<string>"
}
}{
"error": {
"title": "<string>",
"detail": "<string>"
}
}{
"error": {
"title": "RateLimitExceeded",
"detail": "<string>",
"retryAfterMs": 123
}
}{
"error": {
"title": "<string>",
"detail": "<string>"
}
}Automations
Get an automation run
Retrieves an automation run by ID, including the final assistant answer as markdown and its charts. Markdown image URLs and chart imageUrl values require the same Bearer authentication as this request. Requires admin access to the organization.
GET
/
api
/
public
/
organizations
/
{orgId}
/
automations
/
{id}
/
runs
/
{runId}
Get an automation run
Authorizations
API key authentication using Bearer token format: Bearer <basedash_api_key>
Path Parameters
Organization ID
Automation ID
Automation run ID
Response
Automation run retrieved successfully
Show child attributes
Show child attributes
Was this page helpful?